export const ganttConf = {
    "autoHeight": true,
    "width": "100%",
    "weekStartDay": 1,
    "zoomKeepsOriginalTimespan": true,
    "zoomOnMouseWheel": true,
    "maxZoomLevel": 11,
    "subGridConfigs": {
        "locked": {
            "width": 500
        }
    },
    "taskStore": {
        "fireRemoveEventForMoveAction": false
    } as any, // poor typescript support
    "listeners": {},
    "selectionMode": {
        "dragSelect": true,
        "rowNumber": false
    },
    "rowReorderFeature": {
        "dropOnLeaf": true,
        "gripOnly": true,
        "showGrip": true,
        "callOnFunctions": true
    },
    "rollupsFeature": false,
    "percentBarFeature": {
        "allowResize": false
    },
    "taskMenuFeature": {
        "items": {
            "cut": false,
            "copy": false,
            "paste": false,
            "deleteTask": {
                "weight": 5000
            },
            "convertToMilestone": false,
            "editTask": false,
            "add": {
                "weight": 1000,
                "menu": {
                    "addTaskAbove": false,
                    "addTaskBelow": false,
                    "subtask": false,
                    "successor": false,
                    "predecessor": false,
                    "milestone": false
                }
            }
        }
    },
    "baselinesFeature": true,
    "timeAxisHeaderMenuFeature": {
        "disabled": true
    },
    "excelExporterFeature": {
        "dateFormat": "YYYY-MM-DD HH:mm",
        "columns": [
            "name",
            "date",
            "yesno"
        ]
    },
    "pdfExportFeature": {
        "exportServer": "https://dev.bryntum.com:8082"
    }
}